with GNATCOM.Dispinterface;

package MSHTML.IHTCPropertyBehavior_Interface is

   type IHTCPropertyBehavior_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTCPropertyBehavior_Type);

   function Pointer (This : IHTCPropertyBehavior_Type)
     return Pointer_To_IHTCPropertyBehavior;

   procedure Attach (This    : in out IHTCPropertyBehavior_Type;
                     Pointer : in     Pointer_To_IHTCPropertyBehavior);

   procedure fireChange
     (This : IHTCPropertyBehavior_Type);

   procedure Put_value
     (This : IHTCPropertyBehavior_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_value
     (This : IHTCPropertyBehavior_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTCPropertyBehavior_Interface;

